Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.outbound
Class OutBoundSender

    java.lang.Object
      com.sun.mdm.index.outbound.OutBoundSender

public class OutBoundSender
extends java.lang.Object

Publish actions as events to a Topic. Currently we are not handling the case when a JMS server is down. We rely on optimistic case and persume that JMS server is always up. In the next version, we will handle failover case.

Field Summary
`static java.lang.String` | `EVENT` event key that is published to Topic header.

Constructor Summary
`OutBoundSender()` Creates a new instance of OutBoundPublisher

Method Summary
`void` | `initialize(java.lang.String topicName)` Initialize the OutBound Sender
`void` | `initialize(java.lang.String connectionFactoryName, java.lang.String topicName)` Initialize the OutBound Sender
`boolean` | `isInTransactMode()`
`void` | `release()` Release connections
`void` | `send(java.lang.String eventType, java.lang.String id, EnterpriseObject eo)` Publish the eventType and its enterprise object information to a topic
`void` | `send(java.lang.String eventType, java.lang.String id, EnterpriseObject enterpriseObj1, EnterpriseObject enterpriseObj2)` Publish the eventType and two EnterpriseObject to a topic
`void` | `send(java.lang.String eventType, java.lang.String id, MergeResult mresult)` Publish the eventType and two EnterpriseObject to a topic
`void` | `setInTransactMode(boolean mInTransactMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT

    public static final java.lang.String EVENT

  event key that is published to Topic header.

  See Also:
    Constant Field Values

Constructor Detail

### OutBoundSender

    public OutBoundSender()

  Creates a new instance of OutBoundPublisher

Method Detail

### initialize

    public void initialize(java.lang.String topicName)
                    throws OutBoundException

  Initialize the OutBound Sender

  Throws:
    `OutBoundException`

### initialize

    public void initialize(java.lang.String connectionFactoryName,
                           java.lang.String topicName)
                    throws OutBoundException

  Initialize the OutBound Sender

  Parameters:
    `connectionFactoryName` - JNDI name of the topic connection factory
    `topicName` - JNDI name of the topic
  Throws:
    `OutBoundException`

### isInTransactMode

    public boolean isInTransactMode()

### release

    public void release()
                 throws OutBoundException

  Release connections

  Throws:
    `OutBoundException`

### send

    public void send(java.lang.String eventType,
                     java.lang.String id,
                     EnterpriseObject eo)
              throws OutBoundException

  Publish the eventType and its enterprise object information to a topic

  Parameters:
    `eventType` - values are UPD, ADD, MRG, UNMRG, DEA, REA
    `id` - the id
  Throws:
    `OutBoundException`

### send

    public void send(java.lang.String eventType,
                     java.lang.String id,
                     EnterpriseObject enterpriseObj1,
                     EnterpriseObject enterpriseObj2)
              throws OutBoundException

  Publish the eventType and two EnterpriseObject to a topic

  Parameters:
    `eventType` - values are UPD, ADD, MRG, UNMRG, DEA, REA
    `id` - the id
    `enterpriseObj1` - first enterprise object to be stringified to xml
    `enterpriseObj2` - second enterprise object to be stringified to xml and is sent to the topic.
  Throws:
    `OutBoundException`

### send

    public void send(java.lang.String eventType,
                     java.lang.String id,
                     MergeResult mresult)
              throws OutBoundException

  Publish the eventType and two EnterpriseObject to a topic

  Parameters:
    `eventType` - values are UPD, ADD, MRG, UNMRG, DEA, REA
    `id` - the id
    `mresult` - Pairs of SBRs are extracted from mresult and is stringified to xml and is sent to the topic.
  Throws:
    `OutBoundException`

### setInTransactMode

    public void setInTransactMode(boolean mInTransactMode)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.